Subject: Re: [PATCH] net-procfs: show net devices bound packet types

From: Stephen Hemminger <[email-masked]>
Date: Thu, 20 Jan 2022 07:58:15 -0800

On Thu, 20 Jan 2022 15:04:58 +0800
Jianguo Wu <[email-masked]> wrote:

> From: wujianguo <[email-masked]>
> 
> After commit:7866a621043f ("dev: add per net_device packet type chains"),
> we can not get packet types that are bound to a specified net device.

That is an API regression, why not fix that rather than adding new /proc API?

/proc API's are legacy and it would be best not to add more there.